package cn.org.bjca.trust.push.enums


enum class OsType(val value: Int) {
    IOS(1), ANDROID(2), WEB(3), WINDOWS(4), MAC(5), UNKNOWN(-1);

    companion object {
        fun getOsType(value: Int): OsType {
            for (item in values()) {
                if (item.value == value) {
                    return item
                }
            }
            return UNKNOWN
        }
    }
}
